<?php
/*Skrypt pochodzi z ksi±¿ki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function getDirSize($dir)
{
  $size = 0;
  if(!$fd = opendir($dir))
    return 0;
  while (($file = readdir($fd)) !== false){
    if($file == "." || $file == "..") continue;
    if(is_dir("$dir/$file")){
      $size += getDirSize("$dir/$file");
    }
    else if(is_file("$dir/$file"))
      $size += filesize("$dir/$file");
  }
  closedir($fd);
  return $size;
}
?>